function varargout = ApSegMMPP(varargin)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 
% Interfaz de usuario para arrancar la simulacin de camiones en tiempo
% real
%--------------------------------------------------------------------------
%
% SINTAXIS: [vargout]=ApSegMMPP(varargin)
%--------------------------------------------------------------------------
%
% INPUT: 
%--------------------------------------------------------------------------
%
% OUTPUT: 
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (20/06/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------

% Cdigo de inicializacin - NO MODIFICAR
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @ApSegMMPP_OpeningFcn, ...
                   'gui_OutputFcn',  @ApSegMMPP_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% Fin del cdigo de inicializacin - NO MODIFICAR

% Se ejecuta previamente a mostrar la interfaz grfica de usuario
function ApSegMMPP_OpeningFcn(hObject, eventdata, handles, varargin)

% Selecciona la lnea de comandos como salida por defecto de ApSegMMPP
handles.output = hObject;

% Actualiza la estructura de elementos de la GUI
guidata(hObject, handles);

% Muestra las imagenes de la GUI
axes(handles.axes3)
imshow('Imagen1.jpg');
% Muestra las seales para cada grupo de mercancas peligrosas
axes(handles.axes5)
imshow('explosivos.png');
axes(handles.axes6)
imshow('gases toxicos.png');
axes(handles.axes7)
imshow('liquidos_inflamables.png');
% Muestra los dibujos para cada grupo de mercancas peligrosas
axes(handles.axes8)
imshow('dibujo_camion_g2.png');
axes(handles.axes9)
imshow('dibujo_camion_g6.png');
axes(handles.axes10)
imshow('dibujo_camion_g16.png');

% Valor inicial del porcentaje de vehculos del grupo 2
pgrupo2=0.2;
set(handles.edit_grupo2,'String',pgrupo2*100);
set(handles.slider_grupo2,'Value',pgrupo2);

% Valor inicial del porcentaje de vehculos del grupo 6
pgrupo6=0.2;
set(handles.edit_grupo6,'String',pgrupo6*100);
set(handles.slider_grupo6,'Value',pgrupo6);

% Valor inicial del porcentaje de vehculos del grupo 16
pgrupo16=0.6;
set(handles.edit_grupo16,'String',pgrupo16*100);
set(handles.slider_grupo16,'Value',pgrupo16);

% Valor inicial del nmero de camiones de la simulacin
num_camiones=150;
set(handles.edit_num_camiones,'String',num_camiones);
set(handles.slider_num_camiones,'Value',num_camiones-1);

% Valor inicial del tiempo de actualizacin
tactualizacion=30;
set(handles.edit_tiempo,'String',tactualizacion);
set(handles.slider_tiempo,'Value',tactualizacion-10);

function varargout = ApSegMMPP_OutputFcn(hObject, eventdata, handles) 
varargout{1} = handles.output;

% Se ejecuta al mover el deslizador de seleccin del nmero de camiones
function slider_num_camiones_Callback(hObject, eventdata, handles)
num_camiones=round(get(hObject,'Value'))+1;
set(handles.edit_num_camiones,'String',num_camiones);

% Se ejecuta al crear el deslizador de seleccin del nmero de camiones
% (NO MODIFICAR)
function slider_num_camiones_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

% Se ejecuta al mover el deslizador del porcentaje de vehculos del grupo 2
function slider_grupo2_Callback(hObject, eventdata, handles)
pgrupo2=(round(get(hObject,'Value')*100))/100;
pgrupo6=get(handles.slider_grupo6,'Value');
pgrupo16=get(handles.slider_grupo16,'Value');

%Si pgrupo2 aumenta, disminuye pgrupo16 primero y despus pgrupo6
if(pgrupo2+pgrupo6+pgrupo16>1)
    if(pgrupo2+pgrupo6<=1)
        pgrupo16=1-(pgrupo2+pgrupo6);
    else
        pgrupo16=0;
        pgrupo6=1-pgrupo2;
    end
%Si pgrupo2 disminuye, aumenta pgrupo16
elseif(pgrupo2+pgrupo6+pgrupo16<1)
    pgrupo16=1-(pgrupo2+pgrupo6);
end
set(handles.edit_grupo2,'String',round(pgrupo2*100));
set(handles.edit_grupo6,'String',round(pgrupo6*100));
set(handles.edit_grupo16,'String',round(pgrupo16*100));
set(handles.slider_grupo2,'Value',pgrupo2);
set(handles.slider_grupo6,'Value',pgrupo6);
set(handles.slider_grupo16,'Value',pgrupo16);

% Se ejecuta al crear el deslizador de seleccin del porcentaje de vehculos del grupo 2
% (NO MODIFICAR)
function slider_grupo2_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

% Se ejecuta al mover el deslizador del porcentaje de vehculos del grupo 6
function slider_grupo6_Callback(hObject, eventdata, handles)
pgrupo6=(round(get(hObject,'Value')*100))/100;
pgrupo2=get(handles.slider_grupo2,'Value');
pgrupo16=get(handles.slider_grupo16,'Value');

%Si pgrupo6 aumenta, disminuye pgrupo16 primero y despus pgrupo2
if(pgrupo2+pgrupo6+pgrupo16>1)
    if(pgrupo2+pgrupo6<=1)
        pgrupo16=1-(pgrupo2+pgrupo6);
    else
        pgrupo16=0;
        pgrupo2=1-pgrupo6;
    end
%Si pgrupo6 disminuye, aumenta pgrupo16
elseif(pgrupo2+pgrupo6+pgrupo16<1)
    pgrupo16=1-(pgrupo6+pgrupo2);
end
set(handles.edit_grupo2,'String',round(pgrupo2*100));
set(handles.edit_grupo6,'String',round(pgrupo6*100));
set(handles.edit_grupo16,'String',round(pgrupo16*100));
set(handles.slider_grupo2,'Value',pgrupo2);
set(handles.slider_grupo6,'Value',pgrupo6);
set(handles.slider_grupo16,'Value',pgrupo16);

% Se ejecuta al crear el deslizador de seleccin del porcentaje de vehculos del grupo 6
% (NO MODIFICAR)
function slider_grupo6_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

% Se ejecuta al mover el deslizador del porcentaje de vehculos del grupo 16
function slider_grupo16_Callback(hObject, eventdata, handles)
pgrupo16=(round(get(hObject,'Value')*100))/100;
pgrupo2=get(handles.slider_grupo2,'Value');
pgrupo6=get(handles.slider_grupo6,'Value');

%Si pgrupo16 aumenta, disminuye pgrupo6 primero y despus pgrupo2
if(pgrupo2+pgrupo6+pgrupo16>1)
    if(pgrupo2+pgrupo16<=1)
        pgrupo6=1-(pgrupo2+pgrupo16);
    else
        pgrupo6=0;
        pgrupo2=1-pgrupo16;
    end
%Si pgrupo16 disminuye, aumenta pgrupo6
elseif(pgrupo2+pgrupo6+pgrupo16<1)
    pgrupo6=1-(pgrupo2+pgrupo16);
end
set(handles.edit_grupo2,'String',round(pgrupo2*100));
set(handles.edit_grupo6,'String',round(pgrupo6*100));
set(handles.edit_grupo16,'String',round(pgrupo16*100));
set(handles.slider_grupo2,'Value',pgrupo2);
set(handles.slider_grupo6,'Value',pgrupo6);
set(handles.slider_grupo16,'Value',pgrupo16);

% Se ejecuta al crear el deslizador de seleccin del porcentaje de vehculos del grupo 16
% (NO MODIFICAR)
function slider_grupo16_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

% Se ejecuta al pulsar el botn de inicio
function boton_inicio_Callback(hObject, eventdata, handles)
num_camiones=round(get(handles.slider_num_camiones,'Value'))+1;
pgrupo2=(round(get(handles.slider_grupo2,'Value')*100))/100;
pgrupo6=(round(get(handles.slider_grupo6,'Value')*100))/100;
tactualizacion=round(get(handles.slider_tiempo,'Value'))+10;
genera_varios_camiones(num_camiones,pgrupo2,pgrupo6,tactualizacion);

% Se ejecuta al modificar el cuadro de texto de vehculos del grupo 2
function edit_grupo2_Callback(hObject, eventdata, handles)
pgrupo2=round(str2double(get(hObject,'String')))/100;
if(pgrupo2<0)
    pgrupo2=0;
elseif(pgrupo2>1)
    pgrupo2=1;
end

pgrupo6=get(handles.slider_grupo6,'Value');
pgrupo16=get(handles.slider_grupo16,'Value');

%Si pgrupo2 aumenta, disminuye pgrupo16 primero y despus pgrupo6
if(pgrupo2+pgrupo6+pgrupo16>1)
    if(pgrupo2+pgrupo6<=1)
        pgrupo16=1-(pgrupo2+pgrupo6);
    else
        pgrupo16=0;
        pgrupo6=1-pgrupo2;
    end
%Si pgrupo2 disminuye, aumenta pgrupo16
elseif(pgrupo2+pgrupo6+pgrupo16<1)
    pgrupo16=1-(pgrupo2+pgrupo6);
end
%Movimiento de los deslizadores y correcin de los cuadros de texto
set(hObject,'String',round(pgrupo2*100));
set(handles.edit_grupo6,'String',round(pgrupo6*100));
set(handles.edit_grupo16,'String',round(pgrupo16*100));
set(handles.slider_grupo2,'Value',pgrupo2);
set(handles.slider_grupo6,'Value',pgrupo6);
set(handles.slider_grupo16,'Value',pgrupo16);

% Se ejecuta al crear el cuadro de texto de vehculos del grupo 2
% (NO MODIFICAR)
function edit_grupo2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% Se ejecuta al modificar el cuadro de texto de vehculos del grupo 6
function edit_grupo6_Callback(hObject, eventdata, handles)
pgrupo6=round(str2double(get(hObject,'String')))/100;
if(pgrupo6<0)
    pgrupo6=0;
elseif(pgrupo6>1)
    pgrupo6=1;
end

pgrupo2=get(handles.slider_grupo2,'Value');
pgrupo16=get(handles.slider_grupo16,'Value');

%Si pgrupo6 aumenta, disminuye pgrupo16 primero y despus pgrupo2
if(pgrupo2+pgrupo6+pgrupo16>1)
    if(pgrupo2+pgrupo6<=1)
        pgrupo16=1-(pgrupo2+pgrupo6);
    else
        pgrupo16=0;
        pgrupo2=1-pgrupo6;
    end
%Si pgrupo6 disminuye, aumenta pgrupo16
elseif(pgrupo2+pgrupo6+pgrupo16<1)
    pgrupo16=1-(pgrupo6+pgrupo2);
end
set(handles.edit_grupo2,'String',round(pgrupo2*100));
set(hObject,'String',round(pgrupo6*100));
set(handles.edit_grupo16,'String',round(pgrupo16*100));
set(handles.slider_grupo2,'Value',pgrupo2);
set(handles.slider_grupo6,'Value',pgrupo6);
set(handles.slider_grupo16,'Value',pgrupo16);

% Se ejecuta al crear el cuadro de texto de vehculos del grupo 6
% (NO MODIFICAR)
function edit_grupo6_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% Se ejecuta al modificar el cuadro de texto de vehculos del grupo 16
function edit_grupo16_Callback(hObject, eventdata, handles)
pgrupo16=round(str2double(get(hObject,'String')))/100;
if(pgrupo16<0)
    pgrupo16=0;
elseif(pgrupo16>1)
    pgrupo16=1;
end
pgrupo2=get(handles.slider_grupo2,'Value');
pgrupo6=get(handles.slider_grupo6,'Value');

%Si pgrupo16 aumenta, disminuye pgrupo6 primero y despus pgrupo2
if(pgrupo2+pgrupo6+pgrupo16>1)
    if(pgrupo2+pgrupo16<=1)
        pgrupo6=1-(pgrupo2+pgrupo16);
    else
        pgrupo6=0;
        pgrupo2=1-pgrupo16;
    end
%Si pgrupo16 disminuye, aumenta pgrupo6
elseif(pgrupo2+pgrupo6+pgrupo16<1)
    pgrupo6=1-(pgrupo2+pgrupo16);
end

set(handles.edit_grupo2,'String',round(pgrupo2*100));
set(handles.edit_grupo6,'String',round(pgrupo6*100));
set(hObject,'String',pgrupo16*100);
set(handles.slider_grupo2,'Value',pgrupo2);
set(handles.slider_grupo6,'Value',pgrupo6);
set(handles.slider_grupo16,'Value',pgrupo16);

% Se ejecuta al crear el cuadro de texto de vehculos del grupo 16
% (NO MODIFICAR)
function edit_grupo16_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% Se ejecuta al modificar el cuadro de texto del nmero de camiones
function edit_num_camiones_Callback(hObject, eventdata, handles)
num_camiones=round(str2double(get(hObject,'String'))); 
if(num_camiones>(get(handles.slider_num_camiones,'Max')+1))
    num_camiones=get(handles.slider_num_camiones,'Max')+1;
elseif(num_camiones<(get(handles.slider_num_camiones,'Min')+1))
    num_camiones=get(handles.slider_num_camiones,'Min')+1;
end
set(hObject,'String',num_camiones);
set(handles.slider_num_camiones,'Value',num_camiones-1);

% Se ejecuta al crear el cuadro de texto del nmero de camiones
% (NO MODIFICAR)
function edit_num_camiones_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% Se ejecuta al mover el deslizador del tiempo de actualizacin
function slider_tiempo_Callback(hObject, eventdata, handles)
tactualizacion=round(get(hObject,'Value'))+10;
set(handles.edit_tiempo,'String',tactualizacion);


% Se ejecuta al crear el deslizador del tiempo de actualizacin
% (NO MODIFICAR)
function slider_tiempo_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

% Se ejecuta al modificar el cuadro de texto de tiempo de actualizacin
function edit_tiempo_Callback(hObject, eventdata, handles)
tactualizacion=round(str2double(get(hObject,'String'))); 
if(tactualizacion>(get(handles.slider_tiempo,'Max')+10))
    tactualizacion=get(handles.slider_tiempo,'Max')+10;
elseif(tactualizacion<(get(handles.slider_tiempo,'Min')+10))
    tactualizacion=get(handles.slider_tiempo,'Min')+10;
end
set(hObject,'String',tactualizacion);
set(handles.slider_tiempo,'Value',tactualizacion-10);

% Se ejecuta al crear el cuadro de texto de tiempo de actualizacin
% (NO MODIFICAR)
function edit_tiempo_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
