function []=almacena_ruta_archivo(nfichero,ruta,profundidad)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para almacenar una ruta en un fichero
%--------------------------------------------------------------------------
%
% SINTAXIS: []=almacena_ruta_archivo(nfichero, ruta,profundidad)
%--------------------------------------------------------------------------
%
% INPUT: nfichero: cadena de caracteres con el nombre del fichero a generar
%        ruta: sucesion de puntos [fila,columna] entre dos ciudades
%        profundidad: nmero de puntos que contiene la ruta a almacenar
%--------------------------------------------------------------------------
%
% OUTPUT: 
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (16/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------


%Creacin del fichero con permiso de lectura y escritura
fileid=fopen(nfichero,'w+');
if(fileid==-1)
    disp(sprintf('Error en la apertura del archivo'));
    return
end

%Se almacena la profundidad de la ruta en la primera linea del fichero
fprintf(fileid,'%u ',profundidad);
fprintf(fileid,'\n');
i=1;

%Bucle para recorrer la ruta almacenando secuencialmente cada punto [fila,columna]
while(i<=profundidad)
    fprintf(fileid,'%u \n%u \n',ruta(i).fila,ruta(i).columna);
    i=i+1;
end

%Se cierra el fichero
fclose(fileid);