function[T] = bin2gray (I)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 
% Funcin para generar una imagen en tonalidades de gris a partir de una
% imagen binaria
%--------------------------------------------------------------------------
%
% SINTAXIS: [T]=bin2gray(I)
%--------------------------------------------------------------------------
%
% INPUT: I: Matriz correspondiente a la imagen binaria
%--------------------------------------------------------------------------
%
% OUTPUT: T: Matriz correspondiente a la imagen en tonalidades de gris
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (11/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------


%Almacenamiento del tamao de la matriz de la imagen de entrada
[fil,col]=size(I);

%Creacin de una matriz de enteros de 8 bits del tamao de la imagen binaria
T=uint8(zeros(fil,col));

%Se recorre la matriz I y se actualiza la matriz T
for i=1:fil
    for j=1:col
        
        %Si en la imagen binaria hay un 0, en T habr color negro
        if(I(i,j)==0)
            T(i,j)=0;
        
        %Si en la imagen binaria hay un 1, en T habr color blanco    
        else
            T(i,j)=255;
        end
    end
end
