function[T] = binariza (I)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para generar una imagen binaria a partir de una imagen en 
% tonalidades de gris
%--------------------------------------------------------------------------
%
% SINTAXIS: [T]=binariza(I)
%--------------------------------------------------------------------------
%
% INPUT: I: Matriz correspondiente a la imagen en tonalidades de gris
%--------------------------------------------------------------------------
%
% OUTPUT: T: Matriz correspondiente a la imagen binaria
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (05/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------

%Almacenamiento del tamao de la matriz de la imagen de entrada
[fil,col] = size(I);

%Creacin de una matriz de variables booleanas del tamao de la imagen binaria
T=logical(zeros(fil,col));

%Se recorre la matriz I y se actualiza la matriz T
for i=1:fil
    for j=1:col
        
        %Si en I hay un pixel negro, en T le corresponder un 0
        if(I(i,j)<=0)
            T(i,j)=0;
            
        %Si el pixel no es negro, en T le corresponde un 1
        else
            T(i,j)=1;
        end
    end
end
