function [coleccion_rutas]=carga_rutas(nfichero,num_ciudades)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para cargar los nombres de las rutas desde un fichero para
% emplearlo como una tabla para indexar ficheros de rutas
%--------------------------------------------------------------------------
%
% SINTAXIS: [coleccion_rutas]=carga_rutas(nfichero,num_ciudades)
%--------------------------------------------------------------------------
%
% INPUT: nfichero: Cadena de caracteres con el nombre del fichero con los
%                  nombres de los ficheros de rutas
%        num_ciudades: Nmero de ciudades orgenes y destinos de las rutas
%--------------------------------------------------------------------------
%
% OUTPUT: coleccion_rutas: Coleccin de nombres de ficheros que contienen
%                          todas las rutas posibles entre las ciudades
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (17/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------


%Apertura del fichero con permiso de slo lectura
fileid=fopen(nfichero,'r');
if(fileid==-1)
    disp(sprintf('Error en la apertura del archivo'));
    return
end

%Se establece el tamao del vector en funcin del nmero de ciudades
tamano_vector=num_ciudades*(num_ciudades-1);

%Se recorre el fichero y se van almacenando los nombres de los ficheros de
%rutas en la tabla de indice
for i=1:tamano_vector
    coleccion_rutas{i}=fgetl(fileid);
end

%Se cierra el fichero
fclose(fileid);