function [dist] = distancia(x1,y1,x2,y2,factor_escala)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para calcular la distancia entre dos coordenadas cartesianas
%--------------------------------------------------------------------------
%
% SINTAXIS: [dist] = distancia(x1,y1,x2,y2,factor_escala)
%--------------------------------------------------------------------------
%
% INPUT: x1: Fila 1
%        y1: Columna 1
%        x2: Fila 2
%        y2: Columna 2    
%        factor_escala: Factor de escala del mapa
%--------------------------------------------------------------------------
%
% OUTPUT: dist: Distancia entre los puntos [x1,y1] y [x2,y2]
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (08/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------


%Clculo de la distancia entre dos puntos utilizando el teorema de Pitgoras
dist=sqrt((x1-x2)^2 + (y1-y2)^2)*factor_escala;
