function [fila,columna]= lee_coordenadas(nombre_ciudad)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para leer las coordenadas de una ciudad de un fichero a partir de
% una cadena de caracteres con su nombre
%--------------------------------------------------------------------------
%
% SINTAXIS: [fila,columna]=lee_coordenadas(nombre_ciudad)
%--------------------------------------------------------------------------
%
% INPUT: nombre_ciudad: Cadena de caracteres con el nombre de la ciudad
%--------------------------------------------------------------------------
%
% OUTPUT: fila: Fila del mapa en la que se encuentra la ciudad
%         columna: Columna del mapa en la que se encuentra la ciudad
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (12/05/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------

%Se aaden los strings con la ubicacin y extensin del fichero
str_ubicacion='./ciudades/';
str_extension='.dat';
nfichero=[str_ubicacion nombre_ciudad str_extension];

%Apertura del fichero que contiene la ruta
fileid=fopen(nfichero,'r');
if(fileid==-1)
    disp(sprintf('Nombre de la ciudad inexistente'));
    fila=-1;
    columna=-1;
else
    fila=str2double(fgetl(fileid));
    columna=str2double(fgetl(fileid));
end