function [ruta,profundidad]= lee_ruta_fichero(nfichero)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para leer una ruta de un fichero y almacenarla en una variable
% del programa
%--------------------------------------------------------------------------
%
% SINTAXIS: [ruta,profundidad]=lee_ruta_fichero(nfichero)
%--------------------------------------------------------------------------
%
% INPUT: nfichero: Cadena de caracteres con el nombre del fichero con la
%                  ruta a leer                 
%--------------------------------------------------------------------------
%
% OUTPUT: ruta: Sucesin de puntos [fila,columna] ptima entre dos puntos a
%               travs de un mapa
%         profundidad: Nmero de puntos de la ruta
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (16/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------

%Apertura del fichero que contiene la ruta
fileid=fopen(nfichero,'r');
if(fileid==-1)
    disp(sprintf('Error en la apertura del archivo'));
    return
end

%El primer valor del fichero de rutas es la profundidad de sta
profundidad=str2double(fgetl(fileid));

%Bucle para cargar la informacin de la ruta
for i=1:profundidad
    ruta(i).fila=str2double(fgetl(fileid));
    ruta(i).columna=str2double(fgetl(fileid));    
end

%Se cierra el fichero
fclose(fileid);
