function[] = muestra_ruta(ficheroTIF,ruta,tamano_ruta)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
%
% Funcin para marcar en un mapa una serie de puntos pertenecientes a una
% ruta en color verde
%--------------------------------------------------------------------------
%
% SINTAXIS: [] = muestra_ruta(ficheroTIF,ruta,tamano_ruta) 
%--------------------------------------------------------------------------
%
% INPUT: ficheroTIF: Cadena de caracteres con el nombre del mapa en formato
%                    GEOTIFF
%        ruta: Sucesin de puntos [fila,columna] ptima entre dos puntos a
%               travs de un mapa
%        tamano_ruta: Nmero de puntos de la ruta
%--------------------------------------------------------------------------
%
% OUTPUT: 
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (10/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------


%Recibe fichero mapa raster y lo binariza
mapaRGB=imread(ficheroTIF);
mapa_bin=binariza(mapaRGB);

%Correccin del desfase por uso del '0' como ndice vlido
mapa_bin(1:4981,1:6324)=mapa_bin(2:4982,2:6325);

%Se obtiene mapa RGB a partir de mapa binario
mapa_gray=bin2gray(mapa_bin);
mapa_RGB=gray2rgb(mapa_gray);

%Bucle para marcar la ruta en el mapa
for i=1:tamano_ruta
    mapa_RGB(ruta(i).fila,ruta(i).columna,1)=0;
    mapa_RGB(ruta(i).fila,ruta(i).columna,2)=255;
    mapa_RGB(ruta(i).fila,ruta(i).columna,3)=0;
end

%Se muestra el mapa con la ruta marcada
imshow(mapa_RGB);
