function [RGB]=selecciona_color(riesgo)

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 
% Funcin que selecciona un color para un determinado riesgo en funcin de
% unos umbrales definidos como constantes
%--------------------------------------------------------------------------
%
% SINTAXIS: [RGB]=selecciona_color(riesgo)
%--------------------------------------------------------------------------
%
% INPUT: riesgo: Riesgo actual de un determinado punto del mapa
%--------------------------------------------------------------------------
%
% OUTPUT: RGB: Vector de 3 componentes correspondientes a los colores rojo,
%              verde y azul
%--------------------------------------------------------------------------
%
%                                                   Trabajo de Fin de Grado
%               "Sistema de seguimiento y gestin de mercancas peligrosas"
%                                       Diego Cuervo Fernndez (24/04/2014)
%                                                             Matlab R2013a
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------

umbral1=24;%Hasta umbral 1 color azul cyan
umbral2=100;%Hasta umbral 2 color verde
umbral3=150;%Hasta umbral 3 color amarillo
umbral4=200;%Hasta umbral 4 color naranja
umbral5=288;%Hasta umbral 5 color rojo
%A partir de umbral 5 color violeta

%Si el riesgo es menor que el umbral 1, color azul cyan
if (riesgo<=umbral1)
    RGB(1)=0;
    RGB(2)=255;
    RGB(3)=255;
else
    
    %Si el riesgo es menor que el umbral 2, color verde
    if(riesgo<=umbral2)
        RGB(1)=0;
        RGB(2)=255;
        RGB(3)=0;
    else 
        
        %Si el riesgo es menor que el umbral 3, color amarillo
        if(riesgo<=umbral3)
             RGB(1)=255;
             RGB(2)=255;
             RGB(3)=0;
        else
            
            %Si el riesgo es menor que el umbral 4, color naranja
            if(riesgo<=umbral4)
                RGB(1)=255;
                RGB(2)=127;
                RGB(3)=0;
                
            %Si el riesgo es mayor que el umbral 4, color rojo
            else
                if(riesgo<=umbral5)
                    RGB(1)=255;
                    RGB(2)=0;
                    RGB(3)=0;
                else
                    RGB(1)=204;
                    RGB(2)=0;
                    RGB(3)=204;
                end
            end
        end
    end
end